Roleplay runs
Post v1roleplay runs
POST
/
v1
/
roleplay-runs
cURL
curl --request POST \
--url https://api.lighthousefh.com/v1/roleplay-runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"difficulty": 123,
"persona_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phases": [
{
"complication_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sort_order": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"scenario_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segments": [
{
"text": "<string>",
"timestamp_ms": 123
}
]
}
'import requests
url = "https://api.lighthousefh.com/v1/roleplay-runs"
payload = {
"difficulty": 123,
"persona_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phases": [
{
"complication_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sort_order": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"scenario_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segments": [
{
"text": "<string>",
"timestamp_ms": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
difficulty: 123,
persona_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
phases: [
{
complication_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sort_order: 123,
uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
scenario_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
segments: [{text: '<string>', timestamp_ms: 123}]
})
};
fetch('https://api.lighthousefh.com/v1/roleplay-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"created_at": "2023-11-07T05:31:56Z",
"difficulty": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phases": [
{
"complication_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sort_order": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"scenario_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transcript": {
"words": [
{
"confidence": 123,
"end_ms": 123,
"start_ms": 123,
"text": "<string>",
"speaker": "<string>"
}
]
},
"user_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
cURL
